"{ Package: 'stx:libbasic' }"

UnixDesktop subclass:#XDGDesktop
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Desktop'
!


!XDGDesktop class methodsFor:'accessing'!

priority

    ^30

    "Created: / 11-08-2009 / 16:41:45 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!XDGDesktop class methodsFor:'accessing - defaults'!

defaultEditorCommand
    ^ 'xdg-open %F'

    "Created: / 11-08-2009 / 16:54:29 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!XDGDesktop class methodsFor:'testing'!

isAvailable
    ^ super isAvailable 
        and: [ (OperatingSystem pathOfCommand: 
                    (self defaultEditorCommand upTo:
                        Character space)) notNil ]

    "Created: / 11-08-2009 / 16:44:34 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!XDGDesktop class methodsFor:'documentation'!

version
    ^'$Id: XDGDesktop.st 10461 2009-08-12 13:49:00Z vranyj1 $'
! !
