"{ Package: 'stx:libbasic' }"

ExternalBytes subclass:#UnprotectedExternalBytes
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Support'
!

!UnprotectedExternalBytes class methodsFor:'documentation'!

documentation
"
    This is just a factory to generate ExternalBytes.
    There are no instances of this class!!

    The difference to ExternalBytes is, that #new: returns unprotected ExternalBytes,
    that are not protected from garbage collecteded. ExternalBytes allocated #with new:
    are not garbage collected.

    [author:]
        Stefan Vogel

    [see also:]
        ExternalBytes
"
! !

!UnprotectedExternalBytes class methodsFor:'instance creation'!

new
    "return ExternalBytes"

    ^ ExternalBytes new
!

new:size
    "return unprotected ExternalBytes"

    ^ ExternalBytes unprotectedNew:size
! !

!UnprotectedExternalBytes class methodsFor:'documentation'!

version
    ^ '$Id: UnprotectedExternalBytes.st 10447 2009-06-14 13:09:55Z vranyj1 $'
! !
